Bug 17859 - Move JavaScript to the footer on about and auth pages
Summary: Move JavaScript to the footer on about and auth pages
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on: 17418 17870
Blocks: 17858
  Show dependency treegraph
 
Reported: 2017-01-06 15:57 UTC by Owen Leonard
Modified: 2017-01-15 17:25 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 17859 - Move JavaScript to the footer on about and auth pages (2.79 KB, patch)
2017-01-06 16:26 UTC, Owen Leonard
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 17859 - Move JavaScript to the footer on about and auth pages (2.86 KB, patch)
2017-01-07 09:34 UTC, Josef Moravec
Details | Diff | Splinter Review
Bug 17859 - Move JavaScript to the footer on about and auth pages (2.90 KB, patch)
2017-01-10 09:59 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2017-01-06 15:57:03 UTC
Two "standalone" templates which can have the JavaScript moved to the footer: The about page and the login page.
Comment 1 Owen Leonard 2017-01-06 16:26:50 UTC
Created attachment 58649 [details] [review]
Bug 17859 - Move JavaScript to the footer on about and auth pages

This patch modifies the about page and the login page templates so that
JavaScript is included in the footer instead of the header.

To test, apply the patch and test each page to confirm that
JavaScript-based interactions are unaffected:

- On the About page tabs and header menu dropdowns should work correctly
Comment 2 Claire Gravely 2017-01-06 18:35:34 UTC
Hiya.
On the Koha About page I found that all the tabs were missing and being listed as bullet points. The content from all the tabs was being displayed in one go on the page.
Comment 3 Josef Moravec 2017-01-07 09:34:05 UTC
Created attachment 58650 [details] [review]
[SIGNED-OFF] Bug 17859 - Move JavaScript to the footer on about and auth pages

This patch modifies the about page and the login page templates so that
JavaScript is included in the footer instead of the header.

To test, apply the patch and test each page to confirm that
JavaScript-based interactions are unaffected:

- On the About page tabs and header menu dropdowns should work correctly

Signed-off-by: Josef Moravec <josef.moravec@gmail.com>
Comment 4 Jonathan Druart 2017-01-10 09:59:48 UTC
Created attachment 58728 [details] [review]
Bug 17859 - Move JavaScript to the footer on about and auth pages

This patch modifies the about page and the login page templates so that
JavaScript is included in the footer instead of the header.

To test, apply the patch and test each page to confirm that
JavaScript-based interactions are unaffected:

- On the About page tabs and header menu dropdowns should work correctly

Signed-off-by: Josef Moravec <josef.moravec@gmail.com>

Signed-off-by: Jonathan Druart <jonathan.druart@biblibre.com>
Comment 5 Jonathan Druart 2017-01-10 10:00:18 UTC
(In reply to Claire Gravely from comment #2)
> Hiya.
> On the Koha About page I found that all the tabs were missing and being
> listed as bullet points. The content from all the tabs was being displayed
> in one go on the page.

It works for me, I suppose you did not correctly refreshed your browser cache.
Comment 6 Kyle M Hall 2017-01-13 11:44:07 UTC
Pushed to master for 17.05, thanks Owen!
Comment 7 Katrin Fischer 2017-01-15 17:25:19 UTC
This won't get ported back to 16.11.x as it is an enhancement.